InstallerFileInstallationEvent (install4j help)
Date: 2010-09-29

## install4j API documentation

## com.install4j.api.events
Class InstallerFileInstallationEvent

    java.lang.Object
      java.util.EventObject
          com.install4j.api.events.InstallerEvent
              com.install4j.api.events.InstallerFileInstallationEvent

All Implemented Interfaces:
  java.io.Serializable

    public class InstallerFileInstallationEvent

extends InstallerEvent

The event object that is passed to installer event listeners when the file installation is started. Event listeners are registered in the `InstallerContext`.

This event object contains additional information about the installed files. The event type `EventType.FILE_INSTALLATION_STARTED` produces this event object when fired.

Author:
  ej-technologies GmbH
See Also:
  `InstallerEventListener`, `Context.addInstallerEventListener(InstallerEventListener)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerFileInstallationEvent(java.lang.Object source, Context context, EventType type, long totalSize, long fileCount)` The constructor is called by the framework.

Method Summary
`long` | `getFileCount()` Returns the total file count
`long` | `getTotalSize()` Returns the total size of the installation in bytes
`java.lang.String` | `getVerbose()` Return a verbose description of this event.
`java.lang.String` | `toString()`

Methods inherited from class com.install4j.api.events.InstallerEvent
`getContext, getType, wasSuccessful`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallerFileInstallationEvent

    public InstallerFileInstallationEvent(java.lang.Object source,
                                          Context context,
                                          EventType type,
                                          long totalSize,
                                          long fileCount)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `type` - the event type.
    `totalSize` - the total size of the installation in bytes
    `fileCount` - the total file count

Method Detail

### getTotalSize

    public long getTotalSize()

  Returns the total size of the installation in bytes

  Returns:
    the size in bytes

### getFileCount

    public long getFileCount()

  Returns the total file count

  Returns:
    the file count

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `InstallerEvent`

### getVerbose

    public java.lang.String getVerbose()

  Description copied from class: `InstallerEvent`
  Return a verbose description of this event.

  Overrides:
    `getVerbose` in class `InstallerEvent`
  Returns:
    the description